using ASHermed.SinoInterface.Api.ContractModel.Coupon.Entity;
using ASHermed.SinoInterface.Api.ContractModel.Coupon.Model;
using System;
using System.Collections.Generic;
using System.Text;

namespace ASHermed.SinoInterface.Api.IRepository.App
{
    public interface IOnlineCouponPubUserRepository
    {
        List<Online_CouponPubUser> GetOnlineCouponPubUserList(int userid, int status);
        List<Online_CouponPubUser> GetOnlineCouponPubUserListForPatId(List<int> patId, int status);
        int InsertCouponPubUser(Online_CouponPubUser model);
        int UpdateCouponPubUserStatus(List<int> ids, int status);
        List<UserCouponView> GetUserCoupons(int patId);
        List<UserCouponView> GetUserCouponsNoStatus(int patId);
    }
}
